Campaigns
Clone a campaign
Clone a campaign and its steps into a new campaign.
POST
/
campaigns
/
{id}
/
clone
Clone a campaign
curl --request POST \
--url https://api.seamless.ai/api/client/v2/campaigns/{id}/clone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Summer Outreach (Copy)"
}
'import requests
url = "https://api.seamless.ai/api/client/v2/campaigns/{id}/clone"
payload = { "name": "Summer Outreach (Copy)" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Summer Outreach (Copy)'})
};
fetch('https://api.seamless.ai/api/client/v2/campaigns/{id}/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"campaign": {
"campaignId": "<string>",
"name": "<string>",
"identifier": "<string>",
"status": "draft",
"isPublic": true,
"maxActiveContacts": 123,
"numContacts": "<string>",
"numSteps": "<string>",
"numDays": 123,
"userIdOwner": "<string>",
"ownerName": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"pausedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"emailAccountIds": [
"<string>"
]
},
"steps": [
{
"campaignStepId": "<string>",
"campaignId": "<string>",
"type": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"stepNumber": 123,
"dueDay": 123,
"templateId": 123
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
OAuth2ApiKeyAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Numeric ID of the campaign to clone.
Body
application/json
Name for the cloned campaign.
Example:
"Summer Outreach (Copy)"
Was this page helpful?
⌘I
Clone a campaign
